Bugzilla (bugzilla.redhat.com) will be under maintenance for infrastructure upgrades and will not be available on July 31st between 12:30 AM - 05:30 AM UTC. We appreciate your understanding and patience. You can follow status.redhat.com for details.
Bug 1412817 - [RFE] Create storage pools with user-defined names via heat-templates (multisite)
Summary: [RFE] Create storage pools with user-defined names via heat-templates (multis...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: unspecified
Hardware: Unspecified
OS: Unspecified
high
unspecified
Target Milestone: ga
: 10.0 (Newton)
Assignee: Alex Schultz
QA Contact: Gurenko Alex
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-01-12 21:34 UTC by Jon Bernard
Modified: 2020-11-19 17:47 UTC (History)
8 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2020-11-19 17:47:00 UTC
Target Upstream Version:


Attachments (Terms of Use)

Description Jon Bernard 2017-01-12 21:34:26 UTC
When deploying sites, it would be beneficial to create pool names unique to that site.  This will prevent the pool names from colliding when being mirrored to secondary sites and also allow the operator to seperate local/primary pools from secondary/mirrored pools and assign different storage attributes based on priorities.

Without this, every site would have the same "volumes" pool (for instance) and the operater would then have both primary and secondary volumes in the same pool - which limits flexibility.  Specifically, we'd like the operator to set pool attributes such that primary volumes could be physically located on SSD drives but mirrored non-primary volumes from another site are stored on a HDD erasure coded pool so as to not impact performance for local users.

Comment 2 Jon Bernard 2017-03-16 13:53:51 UTC
To start, it would be helpful to create storage pools with user-defined names.  To be specific, create the cinder pool with the name 'foobar' instead of 'volumes' for instance.  With this capability, a multisite configuration with rbd-mirror could then be configured to mirror a storage pool to a secondary site without putting all volumes (primary and mirrored) into the same pool.

Comment 6 Alan Bishop 2020-11-19 17:47:00 UTC
THT has supported this as far back as OSP-10, so I'm closing this CURRENTRELEASE. These are the parameters, along with their default values:

CinderRbdPoolName: volumes
CinderBackupRbdPoolName: backups
GlanceRbdPoolName: images
GnocchiRbdPoolName: metrics
NovaRbdPoolName: vms


Note You need to log in before you can comment on or make changes to this bug.